<?php
/**
 * auth_factory.php - Authentication factory class
 *
 * @author $Author: dtong $
 * @version $Id: auth_factory.php,v 1.2 2009/12/04 05:55:33 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/

class auth_factory {
   public static function factory($type) {
   	$objectname = 'auth_' . $type;
      if (include_once $objectname . '.php') {
         return new $objectname;
      }
      else {
         return FALSE;
      }
   }
 }
?>